/***************************************************************************

    supportware
    Copyright (C) 2001-2008 by c.holzheuer
    c.holzheuer@sourceworx.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


#ifndef DDITEMTRVAL_H
#define DDITEMTRVAL_H

#include <dditem.h>

/// dditemtrval: 
/**
	
*/

class dditemtrval : public dditem
{

public:

	dditemtrval();
	dditemtrval( const ddstring& name );
  dditemtrval( const ddstring& name, const ddstring& value, const ddstring& call="", size_t access=0 );

  virtual ~dditemtrval();

  // factory aspekt
  dditem*   clone() const;
  dd_result flush_content( ddwebpage& pagelet );
 	void 			set_name( const ddstring& name );

private:

	static int _thecount;
	
};
#endif
